#pragma export on
void process_refs( record_ref inDirRef, BMessage* inMessage, void* );
#pragma export reset

void process_refs( record_ref inDirRef, BMessage* inMessage, void* )
{
	BAlert*	alert;
	ulong	type;
	long	count;
	long	err;

		// Check for a selection
	inMessage->GetInfo( "refs", &type, &count );
	if ( count == 0 )
	{
		alert = new BAlert( "Create GIF of Icon", "Cannot create a GIF " \
			"without a selection. Please select a browser item and try again.",
			"OK", NULL, NULL, B_WIDTH_AS_USUAL, B_STOP_ALERT );
		alert->Go();
		return;
	}

	err = be_roster->Launch( 'I2GF', new BMessage( inMessage ) );

	if ( err == B_BAD_VALUE )
	{
		alert = new BAlert( "Create GIF of Icon", "Could not find the " \
			"application Icon2GIF. Please make sure you have a copy and " \
			"try again.", "OK", NULL, NULL, B_WIDTH_AS_USUAL, B_STOP_ALERT );
		alert->Go();
	}
	else if ( err != B_NO_ERROR )
	{
		alert = new BAlert( "Create GIF of Icon", "Could not launch the " \
			"application Icon2GIF. You may be out of memory.", "OK",
			 NULL, NULL, B_WIDTH_AS_USUAL, B_STOP_ALERT );
		alert->Go();	
	}	
}
